Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.fdf
Class FDFCatalog

    java.lang.Object
      org.pdfbox.pdmodel.fdf.FDFCatalog

All Implemented Interfaces:
  COSObjectable

public class FDFCatalog
extends Object
implements COSObjectable

This represents an FDF catalog that is part of the FDF document.

Version:
  $Revision: 1.2 $
Author:
  Ben Litchfield (ben@csh.rit.edu)

Constructor Summary
`FDFCatalog()` Default constructor.
`FDFCatalog(COSDictionary cat)` Constructor.
`FDFCatalog(Element element)` This will create an FDF catalog from an XFDF XML document.

Method Summary
`COSDictionary` | `getCOSDictionary()` Convert this standard java object to a COS object.
`COSBase` | `getCOSObject()` Convert this standard java object to a COS object.
`FDFDictionary` | `getFDF()` This will get the FDF dictionary.
`PDSignature` | `getSignature()` This will get the signature or null if there is none.
`String` | `getVersion()` This will get the version that was specified in the catalog dictionary.
`void` | `setFDF(FDFDictionary fdf)` This will set the FDF document.
`void` | `setSignature(PDSignature sig)` This will set the signature that is associated with this catalog.
`void` | `setVersion(String version)` This will set the version of the FDF document.
`void` | `writeXML(Writer output)` This will write this element as an XML document.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FDFCatalog

    public FDFCatalog()

  Default constructor.

### FDFCatalog

    public FDFCatalog(COSDictionary cat)

  Constructor.

Parameters:
  `cat` - The FDF documents catalog.

### FDFCatalog

    public FDFCatalog(Element element)
               throws IOException

  This will create an FDF catalog from an XFDF XML document.

Parameters:
  `element` - The XML document that contains the XFDF data.
Throws:
  `IOException` - If there is an error reading from the dom.

Method Detail

### writeXML

    public void writeXML(Writer output)
                  throws IOException

  This will write this element as an XML document.

  Parameters:
    `output` - The stream to write the xml to.
  Throws:
    `IOException` - If there is an error writing the XML.

### getCOSObject

    public COSBase getCOSObject()

  Convert this standard java object to a COS object.

  Specified by:
    `getCOSObject` in interface `COSObjectable`
  Returns:
    The cos object that matches this Java object.

### getCOSDictionary

    public COSDictionary getCOSDictionary()

  Convert this standard java object to a COS object.

  Returns:
    The cos object that matches this Java object.

### getVersion

    public String getVersion()

  This will get the version that was specified in the catalog dictionary.

  Returns:
    The FDF version.

### setVersion

    public void setVersion(String version)

  This will set the version of the FDF document.

  Parameters:
    `version` - The new version for the FDF document.

### getFDF

    public FDFDictionary getFDF()

  This will get the FDF dictionary.

  Returns:
    The FDF dictionary.

### setFDF

    public void setFDF(FDFDictionary fdf)

  This will set the FDF document.

  Parameters:
    `fdf` - The new FDF dictionary.

### getSignature

    public PDSignature getSignature()

  This will get the signature or null if there is none.

  Returns:
    The signature.

### setSignature

    public void setSignature(PDSignature sig)

  This will set the signature that is associated with this catalog.

  Parameters:
    `sig` - The new signature.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD